<style src="./Customer.scss" lang="scss"></style>
<script src="./Customer.js"></script>

<template>
  <div class="m-content">
    <Loading v-if="isLoadingS" />

    <div
      v-if="!isLoader"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>

    <div v-else style="display: inline-block;width: 100%;" class="nt-page">
      <div
        class="s-list--filter nt-list-filter"
        :style="{width : getStyleFilter()}"
        style="float:left; margin-right: 20px"
      >
        <filter-customer
          :filter_data="getCustomerFilters"
          :full_attributes="attributeFullForFilter"
          :total_items="pagination.total_item"
          :filter_attributes="filterAttributesCustomer"
          :cache_attributes_filter="cacheForFilterAttributes"
          :filter_type="1"
          @show_filter="filterShow"
          @show_is_all_data="filterAllData"
          @start_filter="startFilter"
          @show_filter_id="showFilterGetId"
          @cancel_filter="cancelFilter"
        ></filter-customer>
      </div>
      <div
        class="nt-page-content m-portlet m-portlet--mobile mb-0 position-relative"
        style="float:left;"
        :style="{  width: getStyleWhenShowFilter(), marginTop: getStyleMarginTopShowFilter() }"
      >
        <div class="m-portlet__body nt-portlet__body-list">
          <div
            class="m-portlet__body-head"
            v-if="showFilter || isSearch || pagination.total_item > 0"
          >
            <div class="m-portlet__body-head-top">
              <template v-if="pagination.total_item > 0">
                <div class="m-portlet__body-head-top-left">
                  <div class="s--list-action nt-dropdown-list-actions">
                    <div
                      aria-expanded="true"
                      m-dropdown-toggle="click"
                      :class="{'m-dropdown--open': isToggleDropdownListActions}"
                      class="m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-left m-dropdown--align-push nt-button-dropdown"
                    >
                      <a
                        class="m-portlet__nav-link m-dropdown__toggle nt-button nt-button-primary nt-button-top nt-dropdown-actions-list"
                        style="border-radius: 4px"
                        @click="showDropdownListActions()"
                      >
                        <i class="icon icon-settings"></i>&nbsp;Tác vụ
                      </a>
                      <div class="m-dropdown__wrapper" style="min-width: 260px;">
                        <span
                          class="m-dropdown__arrow m-dropdown__arrow--left m-dropdown__arrow--adjust"
                          style="right: auto; left: 60.5px;"
                        ></span>
                        <div class="m-dropdown__inner">
                          <div class="m-dropdown__body">
                            <div class="m-dropdown__content">
                              <ul class="m-nav">
                                <li class="m-nav__item">
                                  <a
                                    class="m-nav__link"
                                    href="javascript:;"
                                    data-target="#addMultipleChargeUser"
                                    data-toggle="modal"
                                    @click="hideDropdownListActions()"
                                    v-if="accessible( userCheckAddOn, 'customer', PERMISSION_UPDATE_PERSON_IN_CHARGE, userCurrentPermissions)"
                                  >
                                    <i class="m-nav__link-icon la la-user-plus"></i>
                                    <span class="m-nav__link-text">Gán người phụ trách</span>
                                  </a>
                                  <a
                                    class="m-nav__link nt-disabled-link-permisson"
                                    href="javascript:;"
                                    v-else
                                    data-toggle="m-tooltip"
                                    :data-original-title="titleNotPermisson"
                                    data-html="true"
                                  >
                                    <i class="m-nav__link-icon la la-user-plus"></i>
                                    <span class="m-nav__link-text">Gán người phụ trách</span>
                                  </a>
                                </li>
                                <li class="m-nav__item">
                                  <a
                                    class="m-nav__link"
                                    href="javascript:;"
                                    @click="getAllAssignerInTeam()"
                                    data-target="#deleteMultipleChargeUser"
                                    data-toggle="modal"
                                    v-if="accessible( userCheckAddOn, 'customer', PERMISSION_DELETE_PERSON_IN_CHARGE, userCurrentPermissions)"
                                  >
                                    <i class="m-nav__link-icon la la-user-times"></i>
                                    <span class="m-nav__link-text">Xóa người phụ trách</span>
                                  </a>
                                  <a
                                    class="m-nav__link nt-disabled-link-permisson"
                                    href="javascript:;"
                                    v-else
                                    data-toggle="m-tooltip"
                                    :data-original-title="titleNotPermisson"
                                    data-html="true"
                                  >
                                    <i class="m-nav__link-icon la la-user-times"></i>
                                    <span class="m-nav__link-text">Xóa người phụ trách</span>
                                  </a>
                                </li>
                                <li class="m-nav__item">
                                  <a
                                    class="m-nav__link"
                                    href="javascript:;"
                                    @click.prevent="exportFileExcel()"
                                    v-if="accessible( userCheckAddOn, 'customer', PERMISSION_EXPORT_CUSTOMER, userCurrentPermissions)"
                                  >
                                    <i class="m-nav__link-icon icon icon-export"></i>
                                    <span class="m-nav__link-text">Export khách hàng</span>
                                  </a>
                                  <a
                                    class="m-nav__link nt-disabled-link-permisson"
                                    href="javascript:;"
                                    v-else
                                    data-toggle="m-tooltip"
                                    :data-original-title="titleNotPermisson"
                                    data-html="true"
                                  >
                                    <i class="m-nav__link-icon icon icon-export"></i>
                                    <span class="m-nav__link-text">Export khách hàng</span>
                                  </a>
                                </li>

                                <li class="m-nav__item">
                                  <a
                                    class="m-nav__link"
                                    href="javascript:;"
                                    data-toggle="modal"
                                    data-target="#changeLevelForCustomer"
                                    @click="hideDropdownListActions()"
                                    v-if="accessible( userCheckAddOn, 'customer', PERMISSION_UPDATE_LEVEL_MULTIPLE, userCurrentPermissions)"
                                  >
                                    <i class="m-nav__link-icon la icon-exchange2"></i>
                                    <span class="m-nav__link-text">Đổi cấp độ khách hàng</span>
                                  </a>
                                  <a
                                    class="m-nav__link nt-disabled-link-permisson"
                                    href="javascript:;"
                                    v-else
                                    data-toggle="m-tooltip"
                                    :data-original-title="titleNotPermisson"
                                    data-html="true"
                                  >
                                    <i class="m-nav__link-icon la icon-exchange2"></i>
                                    <span class="m-nav__link-text">Đổi cấp độ khách hàng</span>
                                  </a>
                                </li>
                                <li style="position: relative" class="m-nav__item">
                                  <a
                                    href="javascript:;"
                                    @click.prevent="emailSend()"
                                    class="m-nav__link"
                                    v-if="accessible( userCheckAddOn, 'customer', PERMISSION_CUSTOMER_SEND_MULTIPLE_EMAIL, userCurrentPermissions)"
                                  >
                                    <i class="m-nav__link-icon icon icon-send"></i>
                                    <span class="m-nav__link-text">Gửi email hàng loạt</span>
                                  </a>
                                  <a
                                    class="m-nav__link nt-disabled-link-permisson"
                                    href="javascript:;"
                                    v-else
                                    data-toggle="m-tooltip"
                                    :data-original-title="titleNotPermisson"
                                    data-html="true"
                                  >
                                    <i class="m-nav__link-icon icon icon-send"></i>
                                    <span class="m-nav__link-text">Gửi email hàng loạt</span>
                                  </a>
                                </li>
                                <li style="position: relative" class="m-nav__item">
                                  <a
                                    href="javascript:;"
                                    @click.prevent="updateAttributeCustomers()"
                                    class="m-nav__link"
                                  >
                                    <i class="m-nav__link-icon icon icon-edit"></i>
                                    <span class="m-nav__link-text">Sửa thông tin nhiều khách hàng</span>
                                  </a>
                                </li>
                                <li
                                  style="position: relative"
                                  v-if="customerChecked && customerChecked.length > 0"
                                  class="m-nav__item"
                                >
                                  <a
                                    href="javascript:;"
                                    @click.prevent="checkHasDealBeforeDelete(customerChecked, true)"
                                    class="m-nav__link"
                                    v-if="accessible( userCheckAddOn, 'customer', PERMISSION_MOVE_CUSTOMER_TO_TRASH, userCurrentPermissions)"
                                  >
                                    <i class="m-nav__link-icon icon icon-trash-1"></i>
                                    <span class="m-nav__link-text">
                                      Xóa tạm
                                      <span
                                        style="position: absolute; right: 0; top: 50%; transform: translateY(-50%)"
                                        class="m-loader m-loader--brand"
                                        v-if="isLoaderDelete"
                                      ></span>
                                    </span>
                                  </a>
                                  <a
                                    href="javascript:;"
                                    class="m-nav__link nt-disabled-link-permisson"
                                    v-else
                                    data-toggle="m-tooltip"
                                    :data-original-title="titleNotPermisson"
                                    data-html="true"
                                  >
                                    <i class="m-nav__link-icon icon icon-trash-1"></i>
                                    <span class="m-nav__link-text">Xóa tạm</span>
                                  </a>
                                </li>
                              </ul>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="s--list-count">
                    <div class="s-number-check">
                      với
                      <template v-if="customerChecked && customerChecked.length <= 0">tất cả</template>
                      &nbsp;( {{getQuantityCustomerAction() }} khách
                      hàng)
                    </div>
                  </div>
                </div>
              </template>

              <div class="m-portlet__body-head-top-right" style="float: right;">
                <div class="m--margin-right-0">
                  <div
                    m-dropdown-toggle="hover"
                    aria-expanded="true"
                    class="form-control nt-search-box-form-control m-input-icon m-input-icon--right search m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-left m-dropdown--align-push"
                  >
                    <input
                      placeholder="Tìm kiếm"
                      type="text"
                      class="form-control form-control-sm m-input bg-transparent nt-table-search-box"
                      ref="customerSearch"
                      :value="searchText"
                      @keyup="customerSearch($event)"
                    />
                    <span
                      class="m-input-icon__icon m-input-icon__icon--right"
                      @click.prevent="customerSearchForClick()"
                    >
                      <span>
                        <i class="icon icon-search"></i>
                      </span>
                    </span>
                    <div class="m-dropdown__wrapper" style="z-index: 101;">
                      <span
                        class="m-dropdown__arrow m-dropdown__arrow--left m-dropdown__arrow--adjust"
                        style="right: auto; left: 100px;"
                      ></span>
                      <div class="m-dropdown__inner">
                        <div class="m-dropdown__body">
                          <div class="m-dropdown__content">
                            <span class="m--font-bolder">Bạn có thể tìm kiếm khách hàng theo:</span>
                            <p class="mb-0">• Mã khách hàng</p>
                            <p class="mb-0">• Tên khách hàng</p>
                            <p class="mb-0">• Số điện thoại khách hàng</p>
                            <p class="mb-0">• Email khách hàng</p>
                            <p class="mb-0">• Số điện thoại liên hệ</p>
                            <p class="mb-0">• Email liên hệ</p>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="search-note" v-if="isSearch">
                    <span>Tìm thấy {{ pagination.total_item }} khách hàng</span>
                  </div>
                  <div class="search-note" v-else>&nbsp;</div>
                </div>
                <!--<button data-toggle="modal" data-target="#listCustomerEditColumn"
                                class="btn btn-secondary m-btn btn-sm m-btn&#45;&#45;custom edit-column">
                                <i class="la la-cog m&#45;&#45;font-primary"></i>&nbsp;Tùy chỉnh bảng
                </button>-->
                <div
                  aria-expanded="true"
                  m-dropdown-toggle="click"
                  class="nt-list-config m-dropdown m-dropdown--arrow m-dropdown--align-left m-dropdown--align-push nt-button-dropdown"
                >
                  <a
                    class="nt-button-config m-portlet__nav-link m-dropdown__toggle nt-button nt-button-secondary nt-button-top ml-3 mr-0"
                  >
                    <i class="icon icon-settings"></i>
                    Cài đặt bảng
                  </a>
                  <div class="m-dropdown__wrapper">
                    <div class="m-dropdown__inner">
                      <div class="m-dropdown__body p-0">
                        <div class="m-dropdown__content">
                          <div
                            class="m-portlet m-portlet--head-sm m-portlet--tabs mb-0 nt-settings-switchtab mb-0"
                          >
                            <div class="m-portlet__head nt-background-footer nt-switch-tab-head">
                              <ul
                                class="nav nav-tabs m-tabs-line m-tabs-line--primary"
                                role="tablist"
                              >
                                <li class="nav-item m-tabs__item">
                                  <a
                                    class="nav-link m-tabs__link active show"
                                    data-toggle="tab"
                                    href="#nt_list_table_change_column"
                                    role="tab"
                                    aria-selected="true"
                                  >
                                    <span class="nt-settings-switchtab-text">Tùy chỉnh bảng</span>
                                  </a>
                                </li>
                                <li class="nav-item m-tabs__item">
                                  <a
                                    class="nav-link m-tabs__link"
                                    data-toggle="tab"
                                    href="#nt_list_table_formatting_display"
                                    role="tab"
                                    aria-selected="false"
                                  >
                                    <span class="nt-settings-switchtab-text">Chọn chế độ xem</span>
                                  </a>
                                </li>
                              </ul>
                            </div>
                          </div>
                          <div class="m-portlet m-portlet--mobile position-relative mb-0">
                            <div
                              class="m-portlet__body nt-scroll-primary"
                              style="max-height: 250px; margin-right: 4px; overflow-y: auto;"
                            >
                              <div class="tab-content">
                                <div
                                  class="tab-pane active show"
                                  id="nt_list_table_change_column"
                                  role="tabpanel"
                                >
                                  <CustomColumn
                                    :all_attribute="attributes_config_by_user"
                                    :fix_position="dataFixPositionCustomColumn"
                                    :custom_column="customColumn"
                                    @change_table_attribute="changeTableAttribute($event)"
                                  ></CustomColumn>
                                </div>
                                <div
                                  class="tab-pane"
                                  id="nt_list_table_formatting_display"
                                  role="tabpanel"
                                >
                                  <div
                                    v-for="(formattingDisplay, index) in configFormattingDisplay"
                                    :key="index"
                                  >
                                    <label class="m-radio m-radio--primary">
                                      <input
                                        name="formattingDisplay"
                                        type="radio"
                                        :value="formattingDisplay"
                                        v-model="configFormattingDisplayCurrent"
                                        @change="changeFormattingDisplay()"
                                      />
                                      <div
                                        style="width: 100%; word-break: break-all;"
                                      >{{ formattingDisplay.name }}</div>
                                      <span></span>
                                    </label>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="dataTables_wrapper">
            <div class="position-relative">
              <div class="nt-table-div-scroll-btn" v-if="listCustomers.length > 0">
                <div class="vertical">
                  <div
                    class="top icon fa fa-caret-up"
                    @click.prevent="elementScrollTop('nt_table_div_scroll')"
                  ></div>
                  <div
                    class="bottom icon fa fa-caret-down"
                    @click.prevent="elementScrollBottom('nt_table_div_scroll')"
                  ></div>
                </div>
                <div class="horizontal">
                  <div
                    class="left icon fa fa-caret-left"
                    @click.prevent="elementScrollLeft('nt_table_div_scroll')"
                  ></div>
                  <div
                    class="right icon fa fa-caret-right"
                    @click.prevent="elementScrollRight('nt_table_div_scroll')"
                  ></div>
                </div>
                <div class="margin"></div>
              </div>
              <div
                class="table-responsive nt-scroll-primary nt-table-div-scroll"
                id="nt_table_div_scroll"
                :class="{'nt-table-div-scroll-height-auto': configFormattingDisplayCurrent && configFormattingDisplayCurrent.id === 1}"
                v-if="listCustomers.length > 0"
              >
                <div class="nt-table-div">
                  <div class="nt-table-div-head">
                    <div class="nt-table-div-row">
                      <div class="nt-table-div-list-fix-columns">
                        <div class="nt-table-div-col id">
                          <label class="m-checkbox m-checkbox--primary m--margin-bottom-15">
                            <input
                              type="checkbox"
                              v-model="customerCheckAllPerPage[oldCurrentPage]"
                              @click="checkedAllToggle()"
                              value
                            />
                            <span></span>
                          </label>
                        </div>
                        <div class="nt-table-div-col action">Tác vụ</div>
                        <template v-for="(attribute, index) in attributes_config_by_user">
                          <div
                            :key="index"
                            class="nt-table-div-col"
                            :class="{ 'sku': attribute.attribute_code === 'sku' }"
                            v-if="!attribute.is_hidden && attribute.attribute_code != 'avatar' && attribute.is_show == 1 && dataFixPositionCustomColumn.indexOf(attribute.attribute_code) !== -1"
                          >
                            <div class="d-inline-block float-left">{{ attribute.attribute_name }}</div>
                          </div>
                        </template>
                      </div>

                      <template v-for="(attribute, index) in attributes_config_by_user">
                        <div
                          :key="index"
                          class="nt-table-div-col"
                          :class="{  
                            'nt-select': attribute.data_type_id === isSelect || 
                            attribute.data_type_id === isSelectFind || 
                            attribute.data_type_id === isRadio || 
                            attribute.data_type_id === isMultipleSelect || 
                            attribute.data_type_id === isCheckboxMultiple || 
                            attribute.data_type_id === isTag, 
                            'nt-user': attribute.data_type_id === isUser || 
                            attribute.data_type_id === isUserMultiple ||
                            attribute.attribute_code === 'charge_person' ||
                            attribute.attribute_code === 'user_id',
                            'nt-textarea': attribute.data_type_id === isTextArea
                         }"
                          v-if="!attribute.is_hidden && attribute.attribute_code != 'avatar' && attribute.is_show == 1 && dataFixPositionCustomColumn.indexOf(attribute.attribute_code) === -1"
                        >
                          <div class="d-inline-block float-left">{{ attribute.attribute_name }}</div>
                        </div>
                      </template>
                    </div>
                  </div>

                  <div class="nt-table-div-body">
                    <template v-for="(customer, index) in listCustomers">
                      <div
                        class="nt-table-div-row"
                        :key="index"
                        :class="{'nt-deleted-at': customer.deleted_at}"
                      >
                        <div class="nt-table-div-list-fix-columns">
                          <div class="nt-table-div-col id">
                            <label
                              v-if="!customer.deleted_at"
                              class="m-checkbox m-checkbox--primary m--margin-bottom-15"
                            >
                              <input
                                v-model="customerChecked"
                                @change="checkedCustomer(customer)"
                                type="checkbox"
                                :value="customer"
                              />
                              <span></span>
                            </label>
                          </div>
                          <div class="nt-table-div-col text-center action">
                            <button
                              v-if="!customer.deleted_at"
                              aria-expanded="true"
                              aria-haspopup="true"
                              data-toggle="dropdown"
                              class="btn m-btn m-btn--icon m-btn--icon-only m-btn--pill"
                              @click.prevent="toggleCustomerAction('.nt-table-div-list-fix-columns')"
                            >
                              <i class="la la-ellipsis-h"></i>
                            </button>
                            <div class="dropdown-menu nt-dropdown-menu">
                              <a
                                href="javascript:;"
                                @click.prevent="checkHasDealBeforeDelete(customer)"
                                class="dropdown-item s--cursor-pointer"
                                v-if="accessible( userCheckAddOn, 'customer', PERMISSION_MOVE_CUSTOMER_TO_TRASH, userCurrentPermissions)"
                              >
                                <i class="icon icon-trash-1"></i>
                                Xóa tạm
                              </a>
                              <a
                                href="javascript:;"
                                class="dropdown-item s--cursor-pointer nt-disabled-link-permisson"
                                v-else
                                data-toggle="m-tooltip"
                                :data-original-title="titleNotPermisson"
                                data-html="true"
                              >
                                <i class="icon icon-trash-1"></i>
                                Xóa tạm
                              </a>
                            </div>
                          </div>
                          <template v-for="(attribute, indexA) in attributes_config_by_user">
                            <div
                              class="nt-table-div-col"
                              :key="indexA"
                              v-if="!attribute.is_hidden && attribute.attribute_code != 'avatar' && attribute.is_show == 1 && dataFixPositionCustomColumn.indexOf(attribute.attribute_code) !== -1"
                              :class="{'sku': attribute.attribute_code === 'sku', 's--select-multiple nt-select-multiple' :  attribute.data_type_id == 10 || attribute.data_type_id == 11 || attribute.data_type_id == 13 || attribute.data_type_id == 10 || attribute.data_type_id == 11 || attribute.data_type_id == 15 || attribute.data_type_id == 16}"
                            >
                              <template
                                v-if="attribute.data_type_id != 'charge_person' && attribute.data_type_id != 'type_customer' && attribute.attribute_code != 'user_id' && attribute.attribute_code != 'created_at' && attribute.attribute_code != 'updated_at'"
                              >
                                <template v-if="customer.attributes">
                                  <template
                                    v-for="(value_attribute, indexB) in customer.attributes"
                                  >
                                    <div
                                      :key="indexB"
                                      v-if="value_attribute.attribute_id == attribute.id"
                                    >
                                      <template
                                        v-if="!value_attribute.value || value_attribute.value == '' || value_attribute.value == null "
                                      ></template>
                                      <template
                                        v-else-if="attribute.data_type_id == 1 && attribute.attribute_code == 'full_name'"
                                      >
                                        <template
                                          v-if="customer.contacts && customer.contacts.length > 0"
                                        >
                                          <a
                                            class="customer-group-collapse collapsed"
                                            href="#"
                                            data-toggle="collapse"
                                            :data-target="'#customer_group_' + customer.id"
                                            @click.prevent="toggleCustomerContact('#customer_group_' + customer.id)"
                                          >
                                            <i class="la la-angle-down"></i>
                                          </a>
                                        </template>
                                        <template
                                          v-if="accessible( userCheckAddOn, 'customer', PERMISSION_SHOW_CUSTOMER, userCurrentPermissions)"
                                        >
                                          <a
                                            class="m-link m-link--primary nt-link"
                                            :href="getRouteLink('customerDetails', {customer_id: customer.id})"
                                          >
                                            <span v-html="value_attribute.value"></span>
                                          </a>
                                        </template>
                                        <template v-else>
                                          <a
                                            class="m-link m-link--primary nt-link"
                                            href="javascript:;"
                                            data-toggle="m-tooltip"
                                            :data-original-title="titleNotPermisson"
                                            data-html="true"
                                          >
                                            <span v-html="value_attribute.value"></span>
                                          </a>
                                        </template>
                                      </template>
                                      <template
                                        v-else-if="attribute.data_type_id == 1 && attribute.attribute_code == 'sku'"
                                      >
                                        <span v-html="value_attribute.value"></span>
                                      </template>
                                    </div>
                                  </template>
                                </template>
                              </template>
                            </div>
                          </template>
                        </div>

                        <template v-for="(attribute, indexA) in attributes_config_by_user">
                          <div
                            class="nt-table-div-col"
                            :key="indexA"
                            v-if="!attribute.is_hidden && attribute.attribute_code != 'avatar' && attribute.is_show == 1 && dataFixPositionCustomColumn.indexOf(attribute.attribute_code) === -1"
                            :class="{
                            'nt-select': attribute.data_type_id === isSelect || 
                            attribute.data_type_id === isSelectFind || 
                            attribute.data_type_id === isRadio || 
                            attribute.data_type_id === isMultipleSelect || 
                            attribute.data_type_id === isCheckboxMultiple || 
                            attribute.data_type_id === isTag, 
                            'nt-user': attribute.data_type_id === isUser || 
                            attribute.data_type_id === isUserMultiple ||
                            attribute.attribute_code === 'charge_person' ||
                            attribute.attribute_code === 'user_id',
                            'nt-textarea': attribute.data_type_id === isTextArea
                          }"
                          >
                            <template
                              v-if="attribute.data_type_id != 'charge_person' && attribute.data_type_id != 'type_customer' && attribute.attribute_code != 'user_id' && attribute.attribute_code != 'created_at' && attribute.attribute_code != 'updated_at'"
                            >
                              <template v-if="customer.attributes">
                                <template v-for="(value_attribute, indexB) in customer.attributes">
                                  <div
                                    :key="indexB"
                                    v-if="value_attribute.attribute_id == attribute.id"
                                  >
                                    <template
                                      v-if="!value_attribute.value || value_attribute.value == '' || value_attribute.value == null "
                                    >
                                      <!-- - -->
                                    </template>
                                    <template
                                      v-else-if="attribute.data_type_id == 1 && attribute.attribute_code == 'full_name'"
                                    >
                                      <template
                                        v-if="customer.contacts && customer.contacts.length > 0"
                                      >
                                        <a
                                          class="customer-group-collapse collapsed"
                                          href="#"
                                          data-toggle="collapse"
                                          :data-target="'#customer_group_' + customer.id"
                                          @click.prevent="toggleCustomerContact('#customer_group_' + customer.id)"
                                        >
                                          <i class="la la-angle-down"></i>
                                        </a>
                                      </template>
                                      <template
                                        v-if="accessible( userCheckAddOn, 'customer', PERMISSION_SHOW_CUSTOMER, userCurrentPermissions)"
                                      >
                                        <a
                                          class="m-link m-link--primary nt-link"
                                          :href="getRouteLink('customerDetails', {customer_id: customer.id})"
                                        >
                                          <span v-html="value_attribute.value"></span>
                                        </a>
                                      </template>
                                      <template v-else>
                                        <a
                                          class="m-link m-link--primary nt-link"
                                          href="javascript:;"
                                          data-toggle="m-tooltip"
                                          :data-original-title="titleNotPermisson"
                                          data-html="true"
                                        >
                                          <span v-html="value_attribute.value"></span>
                                        </a>
                                      </template>
                                    </template>
                                    <template
                                      v-else-if="attribute.data_type_id == 1 && attribute.attribute_code == 'sku'"
                                    >
                                      <span v-html="value_attribute.value"></span>
                                    </template>
                                    <template
                                      v-else-if="attribute.data_type_id == 2"
                                    >{{ value_attribute.value | formatDateTime}}</template>
                                    <template
                                      v-else-if="attribute.data_type_id == 3"
                                    >{{ value_attribute.value | formatDateTime(false)}}</template>
                                    <template v-else-if="attribute.data_type_id == 4">
                                      <!--{{value_attribute.value | formatPhone }}-->
                                      <!-- helpers.formatPhone() -->
                                      <span v-html="value_attribute.value"></span>
                                    </template>
                                    <template v-else-if="attribute.data_type_id == 5">
                                      <!--Email-->
                                      <span v-html="value_attribute.value"></span>
                                    </template>
                                    <template v-else-if="attribute.data_type_id == 6">
                                      <div class="pull-right">
                                        <template
                                          v-if="value_attribute.value && value_attribute.value.toString().indexOf('.') != -1"
                                        >{{ value_attribute.value.replace(".", ",") | formatNumber }}</template>
                                        <template
                                          v-else
                                        >{{ (value_attribute.value) | formatNumber }}</template>
                                      </div>
                                    </template>
                                    <template v-else-if="attribute.data_type_id == 7">
                                      <div class="pull-right">
                                        <template
                                          v-if="attribute.attribute_code == 'total_payment_amount'"
                                        >{{ helpers.formatPrice(value_attribute.value) }}</template>
                                        <template
                                          v-else
                                        >{{ parseInt(value_attribute.value) | formatNumberPrice }}</template>
                                      </div>
                                    </template>
                                    <template v-else-if="attribute.data_type_id == 8">
                                      <span
                                        data-toggle="m-tooltip"
                                        data-placement="bottom"
                                        :data-original-title="helpers.getAttributeOptions(attribute, value_attribute.value, 'option_value')"
                                      >{{ helpers.getAttributeOptions(attribute, value_attribute.value, 'option_value') | truncateWords }}</span>
                                    </template>
                                    <template v-else-if="attribute.data_type_id == 9">
                                      <span
                                        data-toggle="m-tooltip"
                                        data-placement="bottom"
                                        :data-original-title="helpers.getAttributeOptions(attribute, value_attribute.value, 'option_value')"
                                      >{{ helpers.getAttributeOptions(attribute, value_attribute.value, 'option_value') | truncateWords }}</span>
                                    </template>
                                    <template
                                      v-else-if="attribute.data_type_id == 10 || attribute.data_type_id == 11 || attribute.data_type_id == 13"
                                    >
                                      <template
                                        v-if="value_attribute.value && value_attribute.value.length > 0"
                                      >
                                        <span
                                          class="nt-barge-dropdown m--margin-right-5 m--margin-bottom-5 d-inline-block"
                                          v-for="(item, indexD) in value_attribute.value"
                                          :key="indexD"
                                        >
                                          <span
                                            data-toggle="m-tooltip"
                                            data-placement="bottom"
                                            :data-original-title="helpers.getAttributeOption(attribute, parseInt(item), 'option_value')"
                                          >{{ helpers.getAttributeOption(attribute, parseInt(item), 'option_value') | truncateWords }}</span>
                                        </span>
                                      </template>
                                    </template>
                                    <template v-else-if="attribute.data_type_id == 12">
                                      <template v-if="attribute.attribute_code === 'latest_note'">
                                        <span
                                          class="nt-attribute-textarea"
                                          v-html="helpers.textTruncate(value_attribute.value, 50)"
                                        ></span>
                                        <div
                                          v-if="helpers.checkShowHideTextReadmore(value_attribute.value, 50)"
                                        >
                                          <a
                                            @click.prevent="latestNoteContent = value_attribute.value"
                                            data-toggle="modal"
                                            :href="'#latest_note_popup'"
                                            class="m-link m-link--primary nt-link"
                                          >Xem thêm</a>
                                        </div>
                                      </template>
                                      <template v-else>
                                        <span
                                          data-toggle="m-tooltip"
                                          data-placement="bottom"
                                          :data-original-title="value_attribute.value"
                                          v-html="helpers.textTruncate(value_attribute.value, 50)"
                                        ></span>
                                      </template>
                                    </template>
                                    <template v-else-if="attribute.data_type_id == 14">
                                      <span
                                        data-toggle="m-tooltip"
                                        data-placement="bottom"
                                        :data-original-title="helpers.getAttributeOptions(attribute, value_attribute.value, 'option_value')"
                                      >{{ helpers.getAttributeOptions(attribute, value_attribute.value, 'option_value') | truncateWords }}</span>
                                    </template>
                                    <template v-else-if="attribute.data_type_id == 15">
                                      <div class="input-group">
                                        <user-object-loading
                                          :user_id="value_attribute.value"
                                          :is_dropdown="false"
                                        ></user-object-loading>
                                      </div>
                                    </template>
                                    <template v-else-if="attribute.data_type_id == 16">
                                      <div
                                        class="input-group mr-2 mb-2"
                                        v-for="(value_item, indexE) in value_attribute.value"
                                        :key="indexE"
                                      >
                                        <template v-if="value_attribute.value">
                                          <user-object-loading
                                            :user_id="value_item"
                                            :is_dropdown="false"
                                          ></user-object-loading>
                                        </template>
                                      </div>
                                    </template>
                                    <template v-else>
                                      <span
                                        data-toggle="m-tooltip"
                                        data-placement="bottom"
                                        :data-original-title="value_attribute.value"
                                      >{{ value_attribute.value | truncateWords }}</span>
                                    </template>
                                  </div>
                                </template>
                              </template>
                            </template>
                            <template v-else>
                              <template
                                v-if="attribute.data_type_id == 'charge_person' && customer.assigners && customer.assigners.length > 0 && listUsers.length > 0"
                              >
                                <div
                                  class="nt-barge-dropdown mr-2 mb-2"
                                  v-for="(multi_value, indexC) in helpers.getChargePersonValue(listUsers, customer.assigners)"
                                  :key="indexC"
                                >
                                  <!--<i class="la la-user" style="font-size: 13px;"></i>&nbsp;-->
                                  {{multi_value.full_name | truncateWords }}
                                </div>
                              </template>
                              <template v-else-if="attribute.attribute_code == 'user_id'">
                                <user-object-loading
                                  :user_id="customer.user_id"
                                  :is_dropdown="false"
                                ></user-object-loading>
                              </template>
                              <template
                                v-else-if="attribute.attribute_code == 'created_at'"
                              >{{ customer.created_at | formatDateTime(false) }}</template>
                              <template
                                v-else-if="attribute.attribute_code == 'updated_at'"
                              >{{ customer.updated_at | formatDateTime(false) }}</template>
                              <template v-else>
                                <!-- - -->
                              </template>
                            </template>
                          </div>
                        </template>
                      </div>
                      <div
                        :key="'a' + index"
                        :id="'customer_group_' + customer.id"
                        class="contacts-table collapse nt-table-div-row nt-table-div-row-hide nt-table-div-row-style"
                        :class="{'show': loadSearch}"
                        v-if="customer.contacts.length > 0"
                      >
                        <template v-if="customer.contacts && customer.contacts.length > 0">
                          <div style="border-right: none;" class="nt-table-div-row">
                            <!-- <div style="max-width: 75%; margin: 10px auto;"> -->
                            <show-all-contacts :search="searchText" :contacts="customer.contacts"></show-all-contacts>
                            <!-- </div> -->
                          </div>
                        </template>
                      </div>
                    </template>
                  </div>
                </div>
              </div>
            </div>
            <div v-if="listCustomers.length <= 0" class="s--not-found">
              <span>Chưa có khách hàng nào.</span>
            </div>
            <div
              v-else
              class="row dataTables_paginate paging_simple_numbers m--margin-top-20 d-flex justify-content-end align-items-center"
            >
              <div class="col-md-5 nt-list-per-page">
                <div>Hiển thị:</div>
                <div class="select">
                  <select
                    name
                    id
                    class="form-control"
                    v-model="currentPerPage"
                    @change="changePerPage()"
                  >
                    <option
                      v-for="(perPage, index) in perPageDefined"
                      :value="perPage"
                      :key="index"
                    >{{ perPage }}</option>
                  </select>
                </div>
                <div>của {{ pagination.total_item }} khách hàng</div>
              </div>
              <div class="col-md-7 align-items-center">
                <pagination
                  :loader="isLoaderListCustomer"
                  :pagination="pagination"
                  @paginate="getPaginationCustomers"
                ></pagination>
              </div>
            </div>
          </div>
          <div
            v-if="loadDataCustomer"
            style="position: fixed;left: 0px;top: 0px;width: 100%;height: 100%;background: #ffffff8a;z-index: 12;"
          >
            <div
              class="m-loader m-loader--brand m-loader--lg"
              style="width: 30px; height: 30px; display: inline-block; position:absolute; left:50%; top:50%; transform: translate(-50%, -50%);"
            ></div>
          </div>
        </div>
      </div>

      <import-customer></import-customer>
      <add-new-customer @add_new_success="afterCreateSuccess()"></add-new-customer>

      <add-charge-users-for-customer
        :customer_checked="customerChecked"
        :pagination="pagination"
        @assigners_success="assignersSuccess"
      ></add-charge-users-for-customer>

      <delete-charge-users-for-customer
        :customer_checked="customerChecked"
        :pagination="pagination"
        :all_assigner_in_team="listAssignerInTeam"
        @remove_assigners_success="assignersSuccess"
      ></delete-charge-users-for-customer>

      <ChangeLevelForCustomer
        :customer_checked="customerChecked"
        :pagination="pagination"
        @change_level_customer_success="changeLevelCustomerSuccess"
      ></ChangeLevelForCustomer>

      <trash-customer
        v-if="totalDeleted != 0 && selectedIds.length > 0"
        :selected_ids="selectedIds"
        :total_deleted="totalDeleted"
        :is_deleted_multiple="isDeletedMultiple"
        :customer_name="customerName"
        @is_change="isChange"
      ></trash-customer>
      <cancel-trash-customer :is_deleted_multiple="isDeletedMultiple" :customer_name="customerName"></cancel-trash-customer>
      <NoteDetailsPopup :id="'latest_note_popup'" :content="latestNoteContent" />
    </div>
    <div class="dropdown-backdrop" @click.prevent="hideCustomerAction()"></div>
    <div class="nt-list-actions-dropdown-backdrop" @click.prevent="hideDropdownListActions()"></div>

    <EmailSend @send_email_success="resetActionSuccess" />
    <UpdateAttributeCustomers
      @update_attribute_customers_success="updateAttributeCustomersSuccess"
    />
  </div>
</template>
